> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getEmployeeTaxExemptions

> Retrieves the current tax exemptions applied to an employee

### What it does:
- Used to display the exemptions that have been added for an employee
- Once retrieved use `updatePayrollTaxExemption` API to remove the exemption or set the **effectiveEndDate**

### Notes:
- High Risk taxes will return the exemptionStatus and a warningMessage designed to limit legal liabilities
- When a taxName is `High Risk`, include the warning message on your UI before using `addPayrollTaxExemptions`



## OpenAPI

````yaml get /reports/getEmployeeTaxExemptions
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getEmployeeTaxExemptions:
    get:
      tags: []
      summary: getEmployeeTaxExemptions
      description: >-
        Retrieves the current tax exemptions applied to an employee


        ### What it does:

        - Used to display the exemptions that have been added for an employee

        - Once retrieved use `updatePayrollTaxExemption` API to remove the
        exemption or set the **effectiveEndDate**


        ### Notes:

        - High Risk taxes will return the exemptionStatus and a warningMessage
        designed to limit legal liabilities

        - When a taxName is `High Risk`, include the warning message on your UI
        before using `addPayrollTaxExemptions`
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                userId:
                  type: string
              required:
                - method
                - companyId
                - userId
            example:
              method: getEmployeeTaxExemptions
              companyId: ECF1B47E-108F-45C0-A520-6A128A727B04
              userId: 33820169-85C2-482A-BCCF-B2281419E96E
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  employeeTaxExemptions:
                    type: array
                    items:
                      type: object
                      properties:
                        taxName:
                          type: string
                        exemptionEffectiveStartDate:
                          type: string
                        exemptionEffectiveEndDate:
                          type: string
                        exemptReason:
                          type: string
                        ExemptionStatus:
                          type: string
                        warningMessage:
                          type: string
                      required:
                        - taxName
                        - exemptionEffectiveStartDate
                        - exemptionEffectiveEndDate
                        - exemptReason
                required:
                  - employeeTaxExemptions
              example:
                employeeTaxExemptions:
                  - taxName: CA - State Disability Insurance
                    exemptionEffectiveStartDate: '2026-03-20'
                    exemptionEffectiveEndDate: null
                    exemptReason: Employee claimed exempt on W-4
                    ExemptionStatus: High Risk
                    warningMessage: >-
                      High-risk tax exemption. Confirm eligibility and effective
                      dates before saving. If applied incorrectly, this may
                      result in inaccurate reporting, tax underpayment, and
                      required corrections.
                  - taxName: CO - State  paid family and medical leave EE
                    exemptionEffectiveStartDate: '2026-03-20'
                    exemptionEffectiveEndDate: null
                    exemptReason: Employee claimed exempt on W-4
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 404
                  message: >-
                    Employee not found with ID:
                    33820169-85C2-482A-BCCF-B2f281419E96E for company:
                    ECF1B47E-108F-45C0-A520-6A128A727B04
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````